summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorWolfgang Hommel <wolfcw@users.noreply.github.com>2020-04-09 19:29:29 +0200
committerGitHub <noreply@github.com>2020-04-09 19:29:29 +0200
commit57de5bbe836090085b471e0437153442ac796d5c (patch)
tree5e7a312a8f9bf1c8f746307c51652def1d9f9bec /build.sh
parentd40d0ebaa70bedbee1472333e7453891db60a23a (diff)
parentc2b5b71777138af1fb1bcd7aebe62fca11e856bb (diff)
downloadlibfaketime-57de5bbe836090085b471e0437153442ac796d5c.tar.gz
Merge pull request #252 from sdettmer/automake_make_checkautomake
**FOR REVIEW** Automake make check
Diffstat (limited to 'build.sh')
-rw-r--r--build.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/build.sh b/build.sh
index ab196fa..2083e36 100644
--- a/build.sh
+++ b/build.sh
@@ -12,13 +12,15 @@ if [ "$LIBTOOLIZE" = "" ]; then
LIBTOOLIZE=$(which glibtoolize)
fi
if [ "$LIBTOOLIZE" = "" ]; then
- echo "CANNOT CONTINUE! MISSING (G)LIBTOOLIZE! Install libtool!"
- exit 1
+ echo "CANNOT CONTINUE! MISSING (G)LIBTOOLIZE! Install libtool!" >&2
+ exit 2
fi
case "x$1" in
xinit)
+ [ -d m4 ] || mkdir m4
set -x
+ autoheader
aclocal
$LIBTOOLIZE --force --copy --automake
autoconf --force